Subject: Re: [PATCH 00/10] Advertise trace2 SID in protocol capabilities

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Nov 2020 13:22:27 -0800

Josh Steadmon <[email-masked]> writes:

>> So the value being passed between client and server over the
>> protocol may look like `<sid1>/<sid2>/<sid3>` rather than just a
>> single `<sid_x>` term.  For your purposes, do you want or care if
>> you get the single term or the full SID ?
>
> I'm not sure we care too much one way or the other. A single component
> of the SID should be enough to join client & server logs, but it's
> easier to just send the whole thing.

It may be worth documenting this design decision in the protocol
doc; even though protocol doc may say this should be treated as an
opaque token, people may assume certain structure.